/*
Dataddo Headless BETA API

Dataddo Headless BETA API

API version: 1.0.0-beta.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package customer_api

import (
	"encoding/json"
)

// checks if the AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest{}

// AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest struct for AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest
type AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest struct {
	OAuthId *string `json:"oAuthId,omitempty"`
}

// NewAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest instantiates a new AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest() *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest {
	this := AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest{}
	return &this
}

// NewAppConnectorNetsuiteNetsuiteConnectorActionObjectRequestWithDefaults instantiates a new AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewAppConnectorNetsuiteNetsuiteConnectorActionObjectRequestWithDefaults() *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest {
	this := AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest{}
	return &this
}

// GetOAuthId returns the OAuthId field value if set, zero value otherwise.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) GetOAuthId() string {
	if o == nil || IsNil(o.OAuthId) {
		var ret string
		return ret
	}
	return *o.OAuthId
}

// GetOAuthIdOk returns a tuple with the OAuthId field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) GetOAuthIdOk() (*string, bool) {
	if o == nil || IsNil(o.OAuthId) {
		return nil, false
	}
	return o.OAuthId, true
}

// HasOAuthId returns a boolean if a field has been set.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) HasOAuthId() bool {
	if o != nil && !IsNil(o.OAuthId) {
		return true
	}

	return false
}

// SetOAuthId gets a reference to the given string and assigns it to the OAuthId field.
func (o *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) SetOAuthId(v string) {
	o.OAuthId = &v
}

func (o AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) MarshalJSON() ([]byte, error) {
	toSerialize, err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.OAuthId) {
		toSerialize["oAuthId"] = o.OAuthId
	}
	return toSerialize, nil
}

type NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest struct {
	value *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest
	isSet bool
}

func (v NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) Get() *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest {
	return v.value
}

func (v *NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) Set(val *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest(val *AppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) *NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest {
	return &NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest{value: val, isSet: true}
}

func (v NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableAppConnectorNetsuiteNetsuiteConnectorActionObjectRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
